namespace DocuMed.Domain.Entities.City;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public partial class University : ApiEntity
{
    public University()
    {
        
    }

    public University(string name, string address, Guid cityId)
    {
        Name = name;
        Address = address;
        CityId = cityId;
    }

    public string Name { get; internal set; } = string.Empty;
    public string Address { get; internal set; } = string.Empty;

    public Guid CityId { get; internal set; }
    public City? City { get; internal set; }

    public List<Section> Sections { get; internal set; } = new();
}